Pre-release — content may change.

Touchpoints

Show a touchpoint

GET
/touchpoints/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/touchpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "type": "touchpoints",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "action": "string",      "details": "string",      "code": "string",      "data": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "person": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "service": {        "data": {          "type": "services",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "author": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      }    },    "links": {      "self": "/touchpoints/7247ad7d-9275-454b-9e3a-0570e403739e"    },    "meta": {}  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}